<?
include("includes/comunes.php");

function sube_img_ajax($ruta,$oFile,$upFile,$limitador){
	global $oFile;
           //datos del arhivo
           $nombre_archivo = $upFile['name'];
           $tipo_archivo   = $upFile['type'];
           $tamano_archivo = $upFile['size'];
           $archivo_temp   = $upFile['tmp_name'];
           //compruebo si las características del archivo son las que deseo
           if (!(strpos($tipo_archivo, "jpeg") && ($tamano_archivo < 10000000))) {
           	/*
                 echo "<p><img src=\"images/warning.gif\" width=\"34\" height=\"34\" alt=\"\" border=\"0\" align=\"middle\" hspave=\"10\" />";
                 echo ' <strong>La extensión o el tamaño de la imagen no es correcta.</strong></p>';
                 echo '<ul><li>Solo se permiten archivos con extensión .jpg</li>';
                 echo '<li>Se permiten archivos de 10.000 Kb máximo.</li></ul>';
                 */
           	?>
			<script type="text/javascript">parent.xajax_Sube_Error()</script>                                   
            <?
               return false;
                 } else {
                   $contador=1;
                   while (true){
                          if ( is_file($ruta.$oFile) ){
                               $contador++ ;
                               $oFile  = cambia_nombre_archivo( $oFile ).'_'.$contador.'.jpg';
                               if ( $contador>$limitador ){
                                     //echo '<span class="verdana">';
                                     //echo '<p><img src="images/warning.gif" width="34" height="34" alt="" border=0 align="middle" hspave="10">';
                                     //echo ' <strong>Ha sobrepasado el límite de imágenes para esta aplicación.</strong></p>';
                                     //echo '</span><br><br>';
                                     ?>
									<script type="text/javascript">parent.xajax_Sube_Advertencia()</script>                                   
                                   <?
                                     break ;
                                }
                          } else {
                                   move_uploaded_file($archivo_temp , $ruta.$oFile );




                                   if(file_exists($ruta.$ofile)){


                                   }
                                 	 //echo '<p><img src="images/estrella.gif" width="34" height="34" alt="" border=0 align="middle" hspace="10">';
                                   //echo ' <strong>El archivo ha sido cargado correctamente.</strong></p>';
                                   ?>
									<script type="text/javascript">parent.xajax_Sube_Correcto()</script>                                   
                                   <?
                                   //extraemos el id del $oFile

                                 return true;
                                 return $oFile;
                                  
                            }
                   }


             }

  }
  
  //recogemos datos
  $cat = $_POST['cat'];
  $limite_images = $_POST['limite_images'];
  $ruta = $_POST['ruta'];
  $id_referencia = $_POST['id_referencia'];
  $upFile = $_FILES['fileUpload'];
   $oFile = $id_referencia."_1.jpg";
   
  if (isset($_FILES['fileUpload'])) {
  	
  	 
     if (sube_img_ajax($ruta,$oFile,$upFile,$limite_images)) {
     	//redimensionamos
     	if (redimensionar_jpeg($ruta.$oFile,800,600,$ruta.$oFile,85)) {
     		echo 'si';
     	}
     	else {
     		echo 'no';
     	}
     	//guardamos en la base de datos
     	
     	if (strpos($oFile,"_1.jpg")>=1) {$principal = "si";} else {$principal = "";}
     	
     	echo $oFile."<br />";
     	echo strpos($oFile,"_1.jpg");
     	
     	
     	mysql_query("INSERT INTO imagenes SET id_referencia='$id_referencia', ruta='$cat', archivo='$oFile', principal='$principal'") or die("<p class=\"error\"><strong>ERROR: </strong>".mysql_error()."</p>");

     	echo "<script type=\"text/javascript\">parent.xajax_Pon_Nueva_Imagen('".$cat."','".$oFile."','".$id_referencia."')</script>"; 
     }
     
    
  	
  }
 
   
                                 
   ?>